Skip to main content
`Ctrl`+`K`

# DMSetCoordinates

Sets into the `DM` a global vector that holds the coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinates(DM dm, Vec c)

Collective

## Input Parameters

- dm - the `DM`

- c - coordinate vector

## Notes

The coordinates do not include those for ghost points, which are in the local vector.

The vector `c` can be destroyed after the call

## See Also

`DM`, `DMSetCoordinatesLocal()`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`, `DMGetCoordinateDM()`, `DMDASetUniformCoordinates()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/snes/tutorials/ex71.c
src/snes/tutorials/ex16.c
src/snes/tutorials/ex76.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages